Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.advislets
Class CatalogQueryAdvisletImpl

    java.lang.Object
      com.bea.p13n.advisor.AbstractAdvislet
          com.beasys.commerce.ebusiness.catalog.advislets.CatalogQueryAdvisletImpl

All Implemented Interfaces
  AdviceConstants, AdviceRequestConstants, Advislet, AdvisletChainElement, Serializable

Deprecated

    @Deprecated
    public final class CatalogQueryAdvisletImpl

extends AbstractAdvislet
implements Serializable

This class is the implementation class for a CatalogQuery Advislet. This Advislet can issue queries against the Product Catalog and retrieve CatalogItems.

See Also
  Serialized Form

Field Summary
`protected String` | `catalogManagerName` Deprecated
`protected CatalogQuery` | `catalogQuery` Deprecated
`protected int` | `viewSize` Deprecated

Fields inherited from class com.bea.p13n.advisor.AbstractAdvislet
`advisletMetadata, advisor, parametersMap`

Fields inherited from interface com.bea.p13n.advisor.AdviceRequestConstants
`CATALOG_QUERY_WRAPPER, CONTENT_APPEND_QUERY_STRING, CONTENT_MANAGER, CONTENT_MANAGER_HOME, CONTENT_QUERY_CONTEXT_PARAMS, CONTENT_QUERY_MAX_ITEMS, CONTENT_QUERY_NODE, CONTENT_QUERY_SORT_BY, CONTENT_QUERY_STRING, CONTENT_QUERY_VERSIONED_CONTENT, CONTENT_SEARCH_PATHS, CONTEXT_HANDLER, DATE, HTTP_REQUEST, HTTP_SESSION, NOW, RULES_FILTER_CLASS, RULES_FILTER_CLASS_NAME, RULES_INPUT_OBJECTS, RULES_RULENAME_TO_FIRE, RULES_RULESET_NAME, SHOPPING_CART, TIME, TIME_INSTANT, USER`

Fields inherited from interface com.bea.p13n.advisor.AdviceConstants
`RESULTS`

Constructor Summary
`CatalogQueryAdvisletImpl(Advisor advisor, Metadata metadata)` Deprecated

Method Summary
`Advice` | `getAdvice(AdviceRequest adviceRequest)` Deprecated This method makes recommendations based the AdviceRequest passed in.
`void` | `validateAdviceRequest(AdviceRequest adviceRequest)` Deprecated Allows for custom AdviceRequest validation logic in addition to the required attribute checking performed by the Advisor.

Methods inherited from class com.bea.p13n.advisor.AbstractAdvislet
`getAdvisor, getMetadata, getRequiredAttributes, initialize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### catalogQuery

    protected CatalogQuery catalogQuery

  Deprecated

### catalogManagerName

    protected String catalogManagerName

  Deprecated

### viewSize

    protected int viewSize

  Deprecated

Constructor Detail

### CatalogQueryAdvisletImpl

    public CatalogQueryAdvisletImpl(Advisor advisor,
                                    Metadata metadata)

  Deprecated

Method Detail

### getAdvice

    public Advice getAdvice(AdviceRequest adviceRequest)
                     throws IllegalArgumentException,
                            AdvisorException

  Deprecated
  This method makes recommendations based the AdviceRequest passed in.

  Specified by:
    `getAdvice` in interface `Advislet`
  Overrides:
    `getAdvice` in class `AbstractAdvislet`
  Parameters
    `adviceRequest` - The AdviceRequest used to make a recommendation.
  Returns
    The advice which contain the recommendations based on the type of request made.
  Throws
    `IllegalArgumentException` - thrown if the adviceRequest parameter is null or if it is an unsupported type.
    `AdvisorException` - thrown on an error when processing the request.

### validateAdviceRequest

    public void validateAdviceRequest(AdviceRequest adviceRequest)
                               throws IllegalArgumentException

  Deprecated
  Description copied from interface: `Advislet`
  Allows for custom AdviceRequest validation logic in addition to the required attribute checking performed by the Advisor.

  Specified by:
    `validateAdviceRequest` in interface `Advislet`
  Overrides:
    `validateAdviceRequest` in class `AbstractAdvislet`
  Parameters
    `adviceRequest` - the request to validate.
  Throws
    `IllegalArgumentException` - thrown if the adviceRequest parameter is `null` or if it is an unsupported type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.